Productsup

Update an export custom form field

An export custom form field is a form field belonging to an export. Once created, the form field will be visible in the site channel settings in the productsup platform. This endpoint allows the updating of an existing export custom form field.

PATCH
/V1/export/{exportId}/export-custom-form-field/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

exportId*string

Export id.

id*string

Export Custom Form Field id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://export-template-api.productsup.com/V1/export/string/export-custom-form-field/string" \  -H "Content-Type: application/json" \  -d '{    "name": "type",    "caption": "Type",    "type": "select",    "placeholder": "example type",    "data": "{\'options\':[{\'value\':\'yes\',\'caption\':\'yes\'},{\'value\':\'no\',\'caption\':\'no\'}]}",    "trigger": "ADD_NAME_HEADER",    "order": 1  }'
{
  "data": {
    "id": 2654,
    "name": "type",
    "caption": "Type",
    "type": "select",
    "placeholder": "example type",
    "data": "{'options':[{'value':'yes','caption':'yes'},{'value':'no','caption':'no'}]}",
    "trigger": "ADD_NAME_HEADER",
    "order": 1,
    "export": {
      "id": 58852
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export Custom Form Field with id 123 not found."
  }
}